com.holonplatform.core.property

## Interface BooleanProperty.BooleanPropertyBuilder

- All Superinterfaces:
    BooleanProperty, CloneableProperty<Boolean,PathProperty<Boolean>,PathProperty.Builder<Boolean,PathProperty<Boolean>,?>>, CloneableProperty.CloneablePathProperty<Boolean,PathProperty<Boolean>>, ConverterExpression<Boolean>, DataMappable, DataMappable.Builder<BooleanProperty.BooleanPropertyBuilder>, Expression, HasConfiguration<PropertyConfiguration>, Localizable, Localizable.Builder<BooleanProperty.BooleanPropertyBuilder>, Path<Boolean>, Path.Builder<Boolean,BooleanProperty.BooleanPropertyBuilder>, PathExpression<Boolean>, PathProperty<Boolean>, PathProperty.Builder<Boolean,BooleanProperty,BooleanProperty.BooleanPropertyBuilder>, Property<Boolean>, Property.Builder<Boolean,BooleanProperty,BooleanProperty.BooleanPropertyBuilder>, QueryExpression<Boolean>, QueryProjection<Boolean>, Serializable, TypedExpression<Boolean>, Validator.Validatable<Boolean>
  Enclosing interface:
    BooleanProperty

      public static interface BooleanProperty.BooleanPropertyBuilder
      extends PathProperty.Builder<Boolean,BooleanProperty,BooleanProperty.BooleanPropertyBuilder>, BooleanProperty

  `BooleanProperty` builder.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.BooleanProperty

      `BooleanProperty.BooleanPropertyBuilder`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.PathProperty

      `PathProperty.Builder<T,P extends Path<T> & Property<T>,B extends PathProperty.Builder<T,P,B>>, PathProperty.PathPropertyBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.CloneableProperty

      `CloneableProperty.CloneablePathProperty<T,P extends Property<T> & Path<T>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.Property

      `Property.PropertyAccessException, Property.PropertyNotFoundException, Property.PropertyReadException, Property.PropertyReadOnlyException, Property.PropertyWriteException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.i18n.Localizable

      `Localizable.LocalizableBuilder, Localizable.LocalizationException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Path

      `Path.FinalPath<T>, Path.PathBuilder<T>`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.Path

      `PATH_HIERARCHY_SEPARATOR`

    - ### Fields inherited from interface com.holonplatform.core.DataMappable

      `DEFAULT_CONFIG_PROPERTY_PREFIX, PATH`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.core.Path.Builder

      `parent`

    - ### Methods inherited from interface com.holonplatform.core.DataMappable.Builder

      `dataPath`

    - ### Methods inherited from interface com.holonplatform.core.property.Property.Builder

      `configuration, configuration, converter, converter, equalsHandler, hashCodeProvider, localization, temporalType, validator, withConfiguration, withConfiguration, withValidator`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable.Builder

      `message, message, messageArguments, messageCode`

    - ### Methods inherited from interface com.holonplatform.core.property.BooleanProperty

      `clone, create, create, create`

    - ### Methods inherited from interface com.holonplatform.core.property.PathProperty

      `create, create, isReadOnly`

    - ### Methods inherited from interface com.holonplatform.core.property.Property

      `getConfiguration, getConvertedValue, getConverter, getExpressionValueConverter, getName, getTemporalType, getType, present, render, renderIfAvailable`

    - ### Methods inherited from interface com.holonplatform.core.Validator.Validatable

      `getValidators, validate`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable

      `builder, getMessage, getMessageArguments, getMessageCode, of, of`

    - ### Methods inherited from interface com.holonplatform.core.HasConfiguration

      `hasConfiguration`

    - ### Methods inherited from interface com.holonplatform.core.ConverterExpression

      `getModelType, getModelValue`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

    - ### Methods inherited from interface com.holonplatform.core.query.PathExpression

      `asc, desc, from`

    - ### Methods inherited from interface com.holonplatform.core.Path

      `fullName, fullName, getName, getParent, isRootPath, of, relativeName, relativeName, stream`

    - ### Methods inherited from interface com.holonplatform.core.DataMappable

      `getDataPath, isDataMappable`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryExpression

      `between, count, eq, eq, goe, goe, gt, gt, in, in, in, isNotNull, isNull, loe, loe, lt, lt, max, min, neq, neq, nin, nin, nin`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryProjection

      `bean, constant, countAll, path, propertySet, propertySet`

Copyright © 2019 The Holon Platform. All rights reserved.